command = self.MESSAGE['text'].split(" ", 2)
command_length = len(command)

if (command[0] in self.aliases) and (1 <= command_length <= 3):
    try:
        import requests

        if command_length == 1:
            chosen_model = "auto-uk"
        else:
            chosen_model = command[1]

        source, target = chosen_model.split("-")

        if command_length == 3:
            text_to_translate = command[2]
        else:
            text_to_translate = self.MESSAGE['reply_to_message']['text']
        
        data = {"q": text_to_translate,
                "source": source,
                "target": target,
                "format": "text"}

        res = requests.post("http://10.1.1.1:5010/translate", data = data)
        result = json.loads(res.text)

        if source == "auto":
            self.RESPONSE = f"Результат ({result['detectedLanguage']['language']} - {result['detectedLanguage']['confidence']}%): {result['translatedText']}"
        else:
            self.RESPONSE = f"Результат: {result['translatedText']}"

    except Exception as e:
        print(f"[translit-decoder] Got exception: {e}")
